cURL
curl --request GET \
--url https://api.growi.io/api/public/v1/stats/top_connected_accounts_by_engagement \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.growi.io/api/public/v1/stats/top_connected_accounts_by_engagement"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.growi.io/api/public/v1/stats/top_connected_accounts_by_engagement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {}
}{
"error": "<string>",
"message": "<string>"
}Stats API
Get Top Connected Accounts By Engagement
Retrieves your top-performing social accounts ranked by engagement within a specified date range
GET
/
stats
/
top_connected_accounts_by_engagement
cURL
Retrieves your top-performing social accounts ranked by engagement within a specified date range.
Request Parameters
| Parameter | Type | Description | Required |
|---|---|---|---|
start_date | String | Start date in MM/DD/YYYY format | Yes |
end_date | String | End date in MM/DD/YYYY format | Yes |
limit | Integer | Limit the number of results. Default is 4. Recommended is 20. Set to 10,000 to get all data. | No |
page | Integer | Page number for pagination. Default is 1. | No |
per_page | Integer | Number of results per page. Default is 40. Maximum is 100. | No |
Request Example
curl -X GET "https://api.growi.io/api/public/v1/stats/top_connected_accounts_by_engagement?start_date=01/01/2023&end_date=01/31/2023&limit=5&page=1&per_page=20" \
-H "Authorization: Bearer YOUR_PUBLIC_API_KEY" \
-H "Content-Type: application/json"
Response Example
{
"success": true,
"data": {
"top_connected_accounts_by_engagement": [
{
"id": 100001,
"username": "tech.trends",
"provider": "Tik Tok",
"profile_share_url": "https://www.tiktok.com/@tech.trends",
"metrics": {
"views": 801298,
"likes": 23163,
"comments": 514,
"shares": 1877,
"total_engagement": 826852
}
},
{
"id": 100002,
"username": "lifestyle.daily",
"provider": "Instagram",
"profile_share_url": "https://www.instagram.com/lifestyle.daily/",
"metrics": {
"views": 648150,
"likes": 19767,
"comments": 239,
"shares": 8655,
"total_engagement": 676811
}
},
{
"id": 100003,
"username": "fitness.guide",
"provider": "Instagram",
"profile_share_url": "https://www.instagram.com/fitness.guide/",
"metrics": {
"views": 409630,
"likes": 13975,
"comments": 76,
"shares": 0,
"total_engagement": 423681
}
},
{
"id": 100004,
"username": "food.explorer",
"provider": "Instagram",
"profile_share_url": "https://www.instagram.com/food.explorer/",
"metrics": {
"views": 382049,
"likes": 5274,
"comments": 275,
"shares": 1848,
"total_engagement": 389446
}
}
]
},
"meta": {
"current_page": 1,
"per_page": 20,
"row_count": 85,
"page_count": 5,
"has_more": true
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Start date in MM/DD/YYYY format
End date in MM/DD/YYYY format
Limit the number of results. Default is 4. Recommended is 20. Set to 10,000 to get all data.
⌘I